Subject: Re: DirectX8/DirectInput + cygwin
From: "Dylan Cuthbert" <[email-masked]>
To: "Wade Brainerd" <[email-masked]>
Cc: "Cygwin@Cygwin. Com" <[email-masked]>
Date: Wed, 6 Feb 2002 20:05:51 +0900

Thanks for the quick response.

Right now I'm just passing in the .lib files directly into GCC for linking
and I can see why there would be problems if VS uses a different name
mangling algorithm after your explanation.

However, I'm kind of stuck at how to go about converting the .lib files into
the native ".a" lib files gcc uses.

I can generate .def files by following the description on the cygwin
homepage, but I still get the same linking errors.

---------------------------------
Q-Games, Dylan Cuthbert.
http://www.q-games.com

----- Original Message -----
From: "Wade Brainerd" <[email-masked]>
To: "Dylan Cuthbert" <[email-masked]>
Cc: "Cygwin@Cygwin. Com" <[email-masked]>
Sent: Wednesday, February 06, 2002 7:38 PM
Subject: Re: DirectX8/DirectInput + cygwin

> Sounds like a DEF file problem.  Functions in DLLs use a different
> naming convention from C++ mangled names and C identifiers, usually:
>
> <FunctionName>@ArgSize
>
> ...where ArgSize is the total size of all the parameters arguments,
> say for example a function MyFunction taking a single pointer as a
> parameter would be MyFunction@4.
>
> .DEF files are what Visual C++ uses to associate functions in header
> files with functions in DLLs, I'm not sure what the Cygwin equivalents
> are.  In fact, I know almost nothing about Cygwin but a lot about Windows
> DLLs, but I thought this might put you on the right track ;)
>
> -Wade
>
> Wednesday, February 06, 2002, 2:22:09 AM, you wrote:
>
>
> DC> Hello there,
>
> DC> I've searched the archives high and low and can't seem to find a
solution to
> DC> my problem.
>
> DC> When compiling a DirectInput8 function such as DirectInput8Create() I
get an
> DC> error linking:
>
> DC> Unable to resolve DirectInput8Create@20
>
> DC> I am linking directly with the .lib files supplied by Microsoft, and
all the
> DC> Directx8 GUID references seem to link fine so does anybody have any
idea
> DC> what the problem might be?
>
> DC> What version of DirectX are the directX libs in /usr/libs/ created
for?
>
> DC> As an extra note, gcc v3.00->3.02 won't compile unknwn.h without an
internal
> DC> compiler error, but v3.03 seems fine.
>
> DC> Regards
>
> DC> ---------------------------------
> DC> Q-Games, Dylan Cuthbert.
> DC> http://www.q-games.com
>
>
> DC> --
> DC> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> DC> Bug reporting:         http://cygwin.com/bugs.html
> DC> Documentation:         http://cygwin.com/docs.html
> DC> FAQ:                   http://cygwin.com/faq/
>
>
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/